<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>investment-oficial documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">investment-oficial documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ResultComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/core/result/result.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-result</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./result.component.css</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./result.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#hiddenContent">hiddenContent</a>
                            </li>
                            <li>
                                <a href="#hiddenEmpty">hiddenEmpty</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#home">home</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="11" class="link-to-prism">src/app/core/result/result.component.ts:11</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="home"></a>
                    <span class="name">
                        <b>
                            home
                        </b>
                        <a href="#home"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>home()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="16"
                            class="link-to-prism">src/app/core/result/result.component.ts:16</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="14"
                            class="link-to-prism">src/app/core/result/result.component.ts:14</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hiddenContent"></a>
                        <span class="name">
                            <b>
                            hiddenContent</b>
                            <a href="#hiddenContent"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>true</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="11" class="link-to-prism">src/app/core/result/result.component.ts:11</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="hiddenEmpty"></a>
                        <span class="name">
                            <b>
                            hiddenEmpty</b>
                            <a href="#hiddenEmpty"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="10" class="link-to-prism">src/app/core/result/result.component.ts:10</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { Router } from &#x27;@angular/router&#x27;;

@Component({
  selector: &#x27;app-result&#x27;,
  templateUrl: &#x27;./result.component.html&#x27;,
  styleUrls: [&#x27;./result.component.css&#x27;]
})
export class ResultComponent implements OnInit {
  hiddenEmpty &#x3D; false;
  hiddenContent &#x3D; true;
  constructor(private router: Router) { }

  ngOnInit(): void {
  }
  home(): any {
    this.router.navigateByUrl(&#x27;/core/home&#x27;).then(() &#x3D;&gt; {
      window.location.reload();
    });
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div *ngIf&#x3D;&quot;hiddenEmpty&quot;&gt;
  &lt;mat-toolbar class&#x3D;&quot;nav&quot;&gt;
    &lt;h2&gt;Proyectos de Inversion&lt;/h2&gt;
  &lt;/mat-toolbar&gt;

  &lt;div class&#x3D;&quot;not-exist-proyect&quot;&gt;
    &lt;img src&#x3D;&quot;./assets/image/result-svg/undraw_result_5583 1.svg&quot; alt&#x3D;&quot;&quot;&gt;
    &lt;p&gt;Aun no tienes ningun proyecto de inversión simulado,&lt;br&gt; comienza una nueva simulación y toma tu decisión. &lt;/p&gt;
    &lt;button mat-raised-button color&#x3D;&quot;warn&quot; (click)&#x3D;&quot;home()&quot;&gt;NUEVA SIMULACION&lt;/button&gt;
  &lt;/div&gt;
&lt;/div&gt;


&lt;div class&#x3D;&quot;container&quot; *ngIf&#x3D;&quot;hiddenContent&quot;&gt;
  &lt;mat-toolbar class&#x3D;&quot;nav-exist-proyect&quot;&gt;
    &lt;h2&gt;Proyectos de Inversion&lt;/h2&gt;
    &lt;button mat-raised-button color&#x3D;&quot;warn&quot; (click)&#x3D;&quot;home()&quot;&gt;NUEVA SIMULACION&lt;/button&gt;
  &lt;/mat-toolbar&gt;
  &lt;mat-card class&#x3D;&quot;card-project&quot; routerLink&#x3D;&quot;proyect-result&quot; *ngFor&#x3D;&quot;let card of [1,1,1]&quot;&gt;
    &lt;div class&#x3D;&quot;proyect-title&quot;&gt;
      &lt;img src&#x3D;&quot;./assets/image/card-svg/Group_21.png&quot; alt&#x3D;&quot;&quot;&gt;
      &lt;mat-card-title&gt;&quot;Nombre del proyecto&quot;&lt;/mat-card-title&gt;
    &lt;/div&gt;
    &lt;div class&#x3D;&quot;container-card&quot;&gt;
      &lt;mat-card-content&gt;
        &lt;span class&#x3D;&quot;back-green&quot;&gt;Aprobado&lt;/span&gt;&lt;br&gt;
        &lt;span *ngIf&#x3D;&#x27;false&#x27; class&#x3D;&quot;back-red&quot;&gt;Reprobado&lt;/span&gt;
        &lt;span class&#x3D;&quot;date&quot;&gt;09 noviembre, 2020&lt;/span&gt;
        &lt;mat-card-actions&gt;
          &lt;button mat-icon-button&gt;
            &lt;mat-icon class&#x3D;&quot;icon&quot;&gt;delete&lt;/mat-icon&gt;
          &lt;/button&gt;

          &lt;button mat-icon-button&gt;
            &lt;mat-icon class&#x3D;&quot;icon&quot;&gt;edit&lt;/mat-icon&gt;
          &lt;/button&gt;
        &lt;/mat-card-actions&gt;
      &lt;/mat-card-content&gt;
    &lt;/div&gt;
  &lt;/mat-card&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./result.component.css</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.not-exist-proyect {
    text-align: center;
    font-size: 20px;
}

.not-exist-proyect img {
    display: block;
    margin: auto auto 20px auto;
}

.not-exist-proyect p {
    font-size: 1em;
    line-height: 1.5em;
}

.not-exist-proyect button {
    background-color: #EE4540;
    Width: 372px;
    Height: 36px;
    border-radius: 4px;
}

.nav {
    background-color: #801336;
    font-size: 36px;
    justify-content: space-between;
    height: 55px;
}

.nav h2 {
    color: #fff;
}


/*Proyect title*/

.proyect-title {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.proyect-title mat-card-title {
    margin: auto 0 auto 20px;
}


/*Exist proyect*/

.nav-exist-proyect {
    background-color: #801336;
    justify-content: space-between;
    height: 55px;
    font-size: 36px;
}

.nav-exist-proyect h2 {
    color: #fff;
    margin-left: 18px;
}

.nav-exist-proyect button {
    background-color: #EE4540;
    Width: 166px;
    Height: 36px;
    border-radius: 4px;
}


/*Card Proyect*/
.container-card {
    margin-top: -5px;
}

.container-card span {
    font-size: 1.5em;
    float: right;
    padding: 5px;
    font-size: 1rem;
    border-radius: 4px;
    color: #fff;
}
.card-container {
    width: 100%;
    height: 600px;
}
.container-card .date {
    color: #666666;
}

.card-project {
    width: 90%;
    margin: 30px auto 15px auto;
    height: 80px;
    border-radius: 8px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    cursor: pointer;
}

.card-project:hover {
    filter: drop-shadow(0px 30px 60px rgba(178, 178, 178, 0.25));
}

.container-card .icon {
    color: #EE4540;
    font-size: 30px;
}

.container-card button {
    float: right;
}

.container-card .back-green {
    background-color: #2DD36F;
}

.container-card .back-red {
    background-color: #EB5757;
}</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div *ngIf="hiddenEmpty">  <mat-toolbar class="nav">    <h2>Proyectos de Inversion</h2>  </mat-toolbar>  <div class="not-exist-proyect">    <img src="./assets/image/result-svg/undraw_result_5583 1.svg" alt="">    <p>Aun no tienes ningun proyecto de inversión simulado,<br> comienza una nueva simulación y toma tu decisión. </p>    <button mat-raised-button color="warn" (click)="home()">NUEVA SIMULACION</button>  </div></div><div class="container" *ngIf="hiddenContent">  <mat-toolbar class="nav-exist-proyect">    <h2>Proyectos de Inversion</h2>    <button mat-raised-button color="warn" (click)="home()">NUEVA SIMULACION</button>  </mat-toolbar>  <mat-card class="card-project" routerLink="proyect-result" *ngFor="let card of [1,1,1]">    <div class="proyect-title">      <img src="./assets/image/card-svg/Group_21.png" alt="">      <mat-card-title>"Nombre del proyecto"</mat-card-title>    </div>    <div class="container-card">      <mat-card-content>        <span class="back-green">Aprobado</span><br>        <span *ngIf=\'false\' class="back-red">Reprobado</span>        <span class="date">09 noviembre, 2020</span>        <mat-card-actions>          <button mat-icon-button>            <mat-icon class="icon">delete</mat-icon>          </button>          <button mat-icon-button>            <mat-icon class="icon">edit</mat-icon>          </button>        </mat-card-actions>      </mat-card-content>    </div>  </mat-card></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'CoreComponent', 'selector': 'app-core'},{'name': 'FooterComponent', 'selector': 'app-footer'},{'name': 'HeaderComponent', 'selector': 'app-header'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'LandingComponent', 'selector': 'app-landing'},{'name': 'LoginComponent', 'selector': 'app-login'},{'name': 'ProyectResultComponent', 'selector': 'app-proyect-result'},{'name': 'ResultComponent', 'selector': 'app-result'},{'name': 'SignUpComponent', 'selector': 'app-sign-up'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'ResultComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ResultComponent.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
